﻿@model SSCMvc.Models.Tb_IELTSResult
@using System.Web.UI.WebControls
@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<h2>
    Edit
</h2>
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
  
    <link href="@Url.Content("~/assets/plugins/select2/select2_metro.css")" rel="stylesheet" type="text/css" />


    <script type="text/javascript">
        $(document).ready(function () {
            $('#StudentId').css('width', '95%');
            var booktype = $("#BookingType").val();
            if (booktype == 3 || booktype == 1) {
                $("#Institute").attr('readonly', false)
                $("#Detail2").attr('readonly', false)
                $("#Detal1").attr('readonly', false)
                $("#BookedDBO").attr('disabled', false)


            }
            else {
                $("#Institute").attr('readonly', true)
                $("#Detal1").attr('readonly', true)
                $("#Detail2").attr('readonly', true)
                $("#BookedDBO").attr('disabled', true)
            }


        });
    </script>


    <script type="text/javascript">

        $(document).ready(function () {

            //here we get the records on the base of student type
            var selectevalue = $("#StudentId option:selected").val();
            //alert(selectevalue);
            GetCourseForstudent(selectevalue);
        });

        $(document).ready(function () {


            $("#TestDate").datepicker();

            $("#btnCancel").click(function () {
                window.location.href = "/Tb_IELTSResult/Index";
            });

            var stype = $("#StudentType").val();

            GetStudentsList(stype);

            var sid = $("#StudentId").val();

            //$("#StudentId option").each(function () {
            //    if ($(this).val() == sid) {
            //        $(this).attr('selected', 'selected');
            //        var seleval = $(this).text();
            //       $('#StudentId').val(seleval);
            //        $("#StudentId").val(sid);

            //    }
            //});

        });

        $("#ExamBody").change(function () {


            var cid = $("#CourseId").val();
            var eb = $("#ExamBody").val();

            if (cid == "PTE" && eb != "PTE") {
                alert("Invalid Exam Body select.");
                $("#ExamBody").val("PTE");
            }

            if (cid != "PTE" && eb == "PTE") {
                alert("Invalid Exam Body select.");
                $("#ExamBody").val("PTE");
            }
        });

        function GetStudentsList(stype) {
            $.getJSON("/Tb_IELTSResult/GetStudentList", { st: stype },
     function (modelData) {
         var select = $("#StudentId");
         //select.empty();
         // select.append('<option value="0">Select</option>');

         $.each(modelData, function (index, itemData) {
             select.append($('<option/>', {
                 value: itemData.Value,
                 text: itemData.Text,

             }));
         });

         var stdntid = $("#hdnstudentid").val();
         $("#StudentId").val($("#hdnstudentid").val());

     });

        }

        $("#StudentId").change(function () {
            $("#StudentId").val($(this).val());
            GetCourseForstudent($(this).val());
            $("#sttype").val($(this).val());
        });


        function GetCourseForstudent(myval) {

            var stype = $("#StudentType").val();

            var idCourse = myval;
            $.getJSON("/Tb_IELTSResult/GetStudentData", { id: idCourse, st: stype },
   function (modelData) {

       var select = $("#CourseId");

       //$("#CourseId").val(modelData['Course']);
       $("#TimeId").val(modelData['Timing']);

       $("#mobileno").val(modelData['mobileno']);

       $("#alternateno").val(modelData['alternateno']);

       $("#CourseId").val(modelData['currentcourselevl']);

       //if (modelData["CategoryIELACTrue"] == true) {
       //    //$("#Category").val("IELTS AC");
       //    $("#Category").val("AC");
       //}

       //if (modelData["CategoryIELAGTTrue"] == true) {

       //    var d = $("#Category").val();
       //    alert(d);
       //    if (d == "") {
       //        //$("#Category").val("IELTS GT");

       //        $("#Category").val("GT");
       //    }
       //    else {
       //        d = d + ", IELTS GT";
       //        $("#Category").val(d);
       //    }
       //}

       var valcat = $("#hdncategory").val();

       if (valcat != "") {
           //alert(213);
           $("#Category").val(valcat);
       }
       else {
           // $("#CourseId").val("IELTS"); //it will always remain IELTS because only ielts students will be there.
       }

   });

        }

    </script>
    <script type="text/javascript">
        $(document).ready(function () {
            App.init();
        });
    </script>

    <script type="text/javascript">

        $("#CourseId").change(function () {
            var idCourse = $(this).val();
            var stuid = $("#StudentId").val();
            $.getJSON("/Tb_MockTest/LoadTimeByCourse", { id: stuid, cid: idCourse },
   function (modelData) {

       var select = $("#TimeId");

       select.empty();
       select.append($('<option/>', {
           value: 0,
           text: "Select a Time"
       }));
       $.each(modelData, function (index, itemData) {


           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,
           }));
       });
   });
        });



        /*-------------------bands caluculation starts here------------------*/
        $("#RBand").blur(function () {
            calbands();

        });

        $("#LBand").blur(function () {
            calbands();
        });

        $("#WBand").blur(function () {
            calbands();
        });

        $("#SBand").blur(function () {
            calbands();
        });


        function calbands() {
            var value1 = $("#LBand").val();

            if (value1 == "") {

                value1 = 0;
            }

            var value2 = $("#WBand").val();
            if (value2 == "") {

                value2 = 0;
            }

            var value3 = $("#SBand").val();

            if (value3 == "") {

                value3 = 0;
            }

            var value4 = $("#RBand").val();

            if (value4 == "") {

                value4 = 0;
            }

            var sum = parseFloat((parseFloat(value1) + parseFloat(value2) + parseFloat(value3) + parseFloat(value4)));


            var ovr = overallband(sum);
            var ovr1 = CalcScore(sum);
            var course = $("#CourseId").val();
            if (course == "PTE") {
                $("#Overall").val(Math.round(ovr1));
            }
            else {
                $("#Overall").val(ovr);

            }
        }

        /*--------------------------bands calculation ends here-----------------------*/
        function CalcScore(sum) {
            var res = parseFloat(sum) / 4;
            return res
        }


    </script>
    <script>
        $("#StudentType").change()
        {
            InvokeInstitute()
        }
    </script>
    <script>
        function InvokeInstitute() {
            var stype = $('#StudentType').val();
            if (stype == "Enquiry") {
                $("#Institute").attr('readonly', false)
                $("#Detail2").attr('readonly', false)
                $("#Detal1").attr('readonly', false)
                $("#BookedDBO").attr('disabled', false)
            }
            else {
                $("#Institute").attr('readonly', true)
                $("#Detal1").attr('readonly', true)
                $("#Detail2").attr('readonly', true)
                $("#BookedDBO").attr('disabled', true)
            }
        }


    </script>

    <script>
        $("#BookingType").change(function () {
            var booktype = $("#BookingType").val();
            if (booktype == 3 || booktype == 1) {
                $("#Institute").attr('readonly', false)
                $("#Detail2").attr('readonly', false)
                $("#Detal1").attr('readonly', false)
                $("#BookedDBO").attr('disabled', false)


            }
            else {
                $("#Institute").attr('readonly', true)
                $("#Detal1").attr('readonly', true)
                $("#Detail2").attr('readonly', true)
                $("#BookedDBO").attr('disabled', true)
            }
        })

    </script>
    <script>

    </script>

    <script>
        $(document).ready(function () {

            $("#btnsubmit").click(function () {
                var overall = $("#Overall").val();
                if (confirm("OverAll Score is: " + overall)) {
                    $("#formMine").submit();
                    $("#btnsubmit").prop('disabled', true);
                }

            });

            FormValidation.init();
        });
    </script>


}
@using (Html.BeginForm("Edit", "Tb_IELTSResult", null, FormMethod.Post, new { @id = "formMine", @class = "horizontal-form" }))
{
    @Html.ValidationSummary(true)

    @Html.HiddenFor(model => model.Id)
    @Html.HiddenFor(model => model.isfollowbtn)
    @Html.HiddenFor(model => model.BookedTime)
    @Html.HiddenFor(model => model.ResUpdTime)
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="button" id="btnsubmit" value="Save" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <span style="color: red; font-weight: bold">
                            @ViewBag.ErrorMsg
                        </span>
                        <input type="hidden" id="sttype" />
                        <fieldset>
                            <legend>Create A New IELTS / PTE Entry</legend>
                            <table style="width: 700px" align="center">
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    Student Type
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field">
                                        @{
                                            var liststype = new List<ListItem>();
                                            liststype.Add(new ListItem { Text = "Enquiry", Value = "Enquiry" });
                                            liststype.Add(new ListItem { Text = "Admission", Value = "Admission" });
                                        }
                                        @Html.DropDownList("StudentType", new SelectList(liststype), "Select")
                                    </td>


                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.ExamBody)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>

                                    <td class="editor-field">
                                        @{
                                            var listexambody = new List<ListItem>();
                                            listexambody.Add(new ListItem { Text = "BC", Value = "BC" });
                                            listexambody.Add(new ListItem { Text = "IDP", Value = "IDP" });
                                            listexambody.Add(new ListItem { Text = "PTE", Value = "PTE" });
                                        }
                                        @Html.DropDownList("ExamBody", new SelectList(listexambody), "Select")
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.StudentId)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" colspan="4">
                                        <div class="form-group">

                                            <div class="col-md-4">

                                                @Html.DropDownList("StudentId", (SelectList)ViewBag.val, "Select", new { @class = "form-control input-large select2me", @Placeholder = "Select..." })@*, new { @class = "form-control input-large select2me", @Placeholder = "Select..." }*@
                                                @Html.ValidationMessageFor(model => model.StudentId)
                                                @*@Html.HiddenFor(model=>model.BookingType)*@

                                                <input id="hdnstudentid" type="hidden" value="@Model.StudentId" />

                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>

                                    <td class="editor-label" valign="top">

                                        @Html.LabelFor(model => model.Passport)
                                        <span class="color_style">*</span>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.Passport)
                                        @Html.ValidationMessageFor(model => model.Passport)
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    Booking Type
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>

                                    </td>

                                    <td class="editor-field">
                                        @Html.DropDownList("BookingType", (SelectList)ViewBag.val, "Select")
                                        @Html.ValidationMessageFor(model => model.BookingType)
                                    </td>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    Institute
                                                </td>
                                                <td></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.TextBoxFor(model => model.Institute, new { @readonly = "readonly", @maxlength = "90" })
                                        @Html.ValidationMessageFor(model => model.Institute)
                                    </td>

                                </tr>
                                <tr>

                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    Booked
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>

                                    </td>

                                    <td class="editor-field">
                                        @{
                                            var listBooked = new List<ListItem>();
                                            listBooked.Add(new ListItem { Text = "B", Value = "B" });
                                            listBooked.Add(new ListItem { Text = "A", Value = "A" });
                                        }
                                        @Html.DropDownList("BookedDBO", new SelectList(listBooked), "Select", new { @disabled = "true" })
                                    </td>

                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    Detail(1)
                                                </td>
                                                <td>
                                                    @*<span class="color_style">*</span>*@
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.TextAreaFor(model => model.Detal1, new { @readonly = "true", @rows = "2", @maxlength = "150" })
                                        @Html.ValidationMessageFor(model => model.Detal1)
                                    </td>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    Detail(2)
                                                </td>
                                                <td>
                                                    @* <span class="color_style">*</span>*@
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.TextAreaFor(model => model.Detail2, new { @readonly = "true", @rows = "2", @maxlength = "150" })
                                        @Html.ValidationMessageFor(model => model.Detail2)
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    Mobile No.
                                                </td>
                                                <td></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        <input type="text" id="mobileno" name="mobileno" maxlength="10" />
                                    </td>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    Alternate No.
                                                </td>
                                                <td></td>
                                            </tr>
                                        </table>

                                    </td>

                                    <td class="editor-field">
                                        <input type="text" id="alternateno" name="alternateno" maxlength="10" />
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.Category)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">

                                        @{

                                            var liststype1 = new List<ListItem>();
                                            liststype1.Add(new ListItem { Text = "Select", Value = "Select" });
                                            liststype1.Add(new ListItem { Text = "AC", Value = "AC" });
                                            liststype1.Add(new ListItem { Text = "GT", Value = "GT" });

                                        }

                                        @Html.DropDownList("Category", new SelectList(liststype1))
                                        @*@Html.DropDownList("Category")*@
                                        <input type="hidden" name="hdncategory" id="hdncategory" value="@Model.Category" />
                                        @Html.ValidationMessageFor(model => model.Category)
                                    </td>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.CourseId)
                                                </td>
                                                <td></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.TextBoxFor(model => model.CourseId, new { @readonly = "readonly" })
                                        @Html.ValidationMessageFor(model => model.CourseId)
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        Time
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.TextBoxFor(model => model.TimeId, new { @readonly = "readonly" })
                                        @Html.ValidationMessageFor(model => model.TimeId)
                                    </td>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.TestDate)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>

                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field">
                                        @Html.TextBoxFor(model => model.TestDate, "{0: MM/dd/yyyy}")
                                        @Html.ValidationMessageFor(model => model.TestDate)
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.LBand)
                                                </td>
                                                <td>
                                                    @*  <span class="color_style">*</span>*@
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.LBand)
                                        @Html.ValidationMessageFor(model => model.LBand)
                                    </td>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.RBand)
                                                </td>
                                                <td>
                                                    @*  <span class="color_style">*</span>*@
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.RBand)
                                        @Html.ValidationMessageFor(model => model.RBand)
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.WBand)
                                                </td>
                                                <td>
                                                    @* <span class="color_style">*</span>*@
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.WBand)
                                        @Html.ValidationMessageFor(model => model.WBand)
                                    </td>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.SBand)
                                                </td>
                                                <td>
                                                    @* <span class="color_style">*</span>*@
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.SBand)
                                        @Html.ValidationMessageFor(model => model.SBand)
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label" valign="top">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.Overall)
                                                </td>
                                                <td>
                                                    @* <span class="color_style">*</span>*@
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.Overall)
                                        @Html.ValidationMessageFor(model => model.Overall)
                                    </td>

                                    <td class="editor-label" valign="top">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.Remarks)
                                                </td>
                                                <td>
                                                    @* <span class="color_style">*</span>*@
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.Remarks)
                                        @Html.ValidationMessageFor(model => model.Remarks)
                                    </td>
                                    @*<td class="editor-label" valign="top">
                                            <table>
                                                <tr>
                                                    <td>
                                                        @Html.LabelFor(model => model.CandiateNo)
                                                    </td>
                                                    <td>

                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td class="editor-field" valign="top">
                                            @Html.EditorFor(model => model.CandiateNo)
                                            @Html.ValidationMessageFor(model => model.CandiateNo)
                                        </td>*@
                                </tr>

                                <tr></tr>

                                @*<tr>
                                        <td class="editor-label" valign="top">
                                            <table>
                                                <tr>
                                                    <td>
                                                        @Html.LabelFor(model => model.CurrentCourseLvl)
                                                    </td>
                                                    <td></td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td class="editor-field" valign="top">
                                            @Html.EditorFor(model => model.CurrentCourseLvl)
                                            @Html.ValidationMessageFor(model => model.CurrentCourseLvl)
                                        </td>
                                    </tr>*@
                            </table>
                        </fieldset>
                    </div>
                </div>
            </div>
            <footer>
                <hr />

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div>
                                            }
